Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035410
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] 04. Warehouse managementminoralways2017-03-02 14:222017-03-15 20:21
ReportervmromanosView Statuspublic 
Assigned Tovmromanos 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision9b9243b31573
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035410: Default currency in Pareto Product Report

DescriptionThe default currency set in the Pareto Product Report should be the one associated to the selected organization.
If the organization is changed, the currency should be automatically changed if necessary.
Steps To ReproduceLogin as Openbravo Admin into a professional instance
Open the Pareto Product Report.
Verify organization is set to F&B España, however the Currency is set to USD. This is wrong, it should be EUR.
Change the organization to F&B US and change it back to F&B España. Verify the currency is wrongly set to USD, and it should be EUR
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0032493 closedvmromanos Pareto Product Report takes too long in an environment with big amount of data 

-  Notes
(0094715)
vmromanos (developer)
2017-03-03 09:22

Test plan:
Login as Openbravo Admin into a professional instance
Open the Pareto Product Report.
Verify organization is set to F&B España and currency is EUR
Change the organization to F&B US and verify currency is USD
Change the organization to F&B España Norte and verify currency is EUR
Change the organization to F&B US West and verify currency is USD
(0094724)
hgbot (developer)
2017-03-03 12:49

Repository: erp/devel/pi
Changeset: 9b9243b3157381e3b545fc82f8ebe982389deb48
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Thu Mar 02 14:25:51 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/9b9243b3157381e3b545fc82f8ebe982389deb48 [^]

Fixed issue 35410: Default currency in Pareto Product Report

Set default currency according to the selected organization

---
M src/org/openbravo/erpCommon/ad_reports/ReportParetoProduct.html
M src/org/openbravo/erpCommon/ad_reports/ReportParetoProduct.java
---
(0094725)
hgbot (developer)
2017-03-03 12:49

Repository: erp/devel/pi
Changeset: 205a911b298fa5cf63e7c42ad9afc29f05d33162
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Mar 03 12:48:01 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/205a911b298fa5cf63e7c42ad9afc29f05d33162 [^]

Related to Issue 35410. Code Review.

Fixes problem when retrieving currency from parameter window.
Also, fixes problem of currency reloading when no organization has been changed.

---
M src/org/openbravo/erpCommon/ad_reports/ReportParetoProduct.java
---
(0094727)
dmiguelez (developer)
2017-03-03 12:55

Code Review + Testing Ok
(0095255)
hudsonbot (developer)
2017-03-15 20:21

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test
(0095256)
hudsonbot (developer)
2017-03-15 20:21

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-03-02 14:22 vmromanos New Issue
2017-03-02 14:22 vmromanos Assigned To => vmromanos
2017-03-02 14:22 vmromanos Modules => Core
2017-03-02 14:22 vmromanos Triggers an Emergency Pack => No
2017-03-02 14:22 vmromanos Relationship added related to 0032493
2017-03-02 14:23 vmromanos Status new => scheduled
2017-03-02 14:23 vmromanos Review Assigned To => dmiguelez
2017-03-03 09:22 vmromanos Note Added: 0094715
2017-03-03 12:49 hgbot Checkin
2017-03-03 12:49 hgbot Note Added: 0094724
2017-03-03 12:49 hgbot Status scheduled => resolved
2017-03-03 12:49 hgbot Resolution open => fixed
2017-03-03 12:49 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9b9243b3157381e3b545fc82f8ebe982389deb48 [^]
2017-03-03 12:49 hgbot Checkin
2017-03-03 12:49 hgbot Note Added: 0094725
2017-03-03 12:55 dmiguelez Note Added: 0094727
2017-03-03 12:55 dmiguelez Status resolved => closed
2017-03-15 20:21 hudsonbot Checkin
2017-03-15 20:21 hudsonbot Note Added: 0095255
2017-03-15 20:21 hudsonbot Checkin
2017-03-15 20:21 hudsonbot Note Added: 0095256


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker